Bug 108694 - [WEBGL] Rename WEBKIT_WEBGL_lose_context to WEBGL_lose_context.
Summary: [WEBGL] Rename WEBKIT_WEBGL_lose_context to WEBGL_lose_context.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nayan Kumar K
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-01 14:21 PST by Nayan Kumar K
Modified: 2013-02-04 19:29 PST (History)
10 users (show)

See Also:


Attachments
Patch (12.24 KB, patch)
2013-02-01 14:36 PST, Nayan Kumar K
no flags Details | Formatted Diff | Diff
Fix for layout failing layout tests (18.18 KB, patch)
2013-02-04 13:00 PST, Nayan Kumar K
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nayan Kumar K 2013-02-01 14:21:52 PST
Now that WEBGL_lose_context is one the community approved extension (http://www.khronos.org/registry/webgl/extensions/), remove the 'WEBKIT' vendor prefix from WEBKIT_WEBGL_lose_context.
Comment 1 Nayan Kumar K 2013-02-01 14:36:12 PST
Created attachment 186141 [details]
Patch
Comment 2 Build Bot 2013-02-01 15:22:29 PST
Comment on attachment 186141 [details]
Patch

Attachment 186141 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://queues.webkit.org/results/16330256

New failing tests:
fast/canvas/webgl/context-lost-restored.html
Comment 3 Build Bot 2013-02-01 15:33:19 PST
Comment on attachment 186141 [details]
Patch

Attachment 186141 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/16334243

New failing tests:
fast/canvas/webgl/context-lost-restored.html
Comment 4 WebKit Review Bot 2013-02-01 20:06:12 PST
Comment on attachment 186141 [details]
Patch

Attachment 186141 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/16339444

New failing tests:
fast/canvas/webgl/context-lost.html
platform/chromium/virtual/gpu/fast/canvas/webgl/context-lost-restored.html
platform/chromium/virtual/gpu/fast/canvas/webgl/context-lost.html
fast/canvas/webgl/context-lost-restored.html
Comment 5 Kenneth Russell 2013-02-02 16:10:48 PST
Comment on attachment 186141 [details]
Patch

In principle this change looks good, but why are the tests failing?

Would you please submit a pull request to https://github.com/KhronosGroup/WebGL to update the conformance tests there? In those tests, I think they should continue to support the legacy (prefixed) extension name for a while, until all browsers have shipped the unprefixed name.
Comment 6 Nayan Kumar K 2013-02-04 13:00:24 PST
Created attachment 186442 [details]
Fix for layout failing layout tests
Comment 7 Nayan Kumar K 2013-02-04 13:04:46 PST
(In reply to comment #5)
> (From update of attachment 186141 [details])
> In principle this change looks good, but why are the tests failing?

Seems like context-lost.html needed per-platform baseline files. Also fixed a bug in context-lost-restored.html. Uploaded the new patch for review, hopefully it passes all layout tests.

> 
> Would you please submit a pull request to https://github.com/KhronosGroup/WebGL to update the conformance tests there? In those tests, I think they should continue to support the legacy (prefixed) extension name for a while, until all browsers have shipped the unprefixed name.

Sure. I will submit a pull request soon.
Comment 8 Kenneth Russell 2013-02-04 17:49:31 PST
Comment on attachment 186442 [details]
Fix for layout failing layout tests

Thanks. Looks good.
Comment 9 Kenneth Russell 2013-02-04 17:49:53 PST
Did you want this patch submitted to the commit queue? Mark cq? if so.
Comment 10 WebKit Review Bot 2013-02-04 19:29:44 PST
Comment on attachment 186442 [details]
Fix for layout failing layout tests

Clearing flags on attachment: 186442

Committed r141845: <http://trac.webkit.org/changeset/141845>
Comment 11 WebKit Review Bot 2013-02-04 19:29:49 PST
All reviewed patches have been landed.  Closing bug.